﻿//-------------------------------------------------------------
//- Copyright (C) 2017-2018 gamevanilla. All rights reserved. -
//-------------------------------------------------------------

using UnityEngine.Networking;

namespace CCG
{
    public static class NetworkProtocol
    {
        public const short RegisterPlayerInGame = 1000;
        public const short BeginTurn = 1001;
        public const short EndTurn = 1002;

        public class RegisterPlayerInGameMessage : MessageBase
        {
            public string Nickname;
        }

        public class BeginTurnMessage : MessageBase
        {
            public bool ActivePlayer;
        }

        public class EndTurnMessage : MessageBase
        {
            public bool ActivePlayer;
        }
    }
}